using UnityEngine;
using System.Collections;

public class ColliderHandler : MonoBehaviour
{
    public TriggerEnableDisable Trigger;
    
    void OnTriggerStay(Collider argCollider)
    {
        if (Trigger.KillEnabled)
        {
            Debug.Log(argCollider.gameObject.name + " is killed by " + this.name);
            if (argCollider.gameObject != null && argCollider.gameObject.name == "Character")
                Destroy(argCollider.gameObject);
        }
    }
}
